## xserver-xlibre-input-libinput 1.5.1.0

=== meson_options.txt ===
option('sdkdir',
	type: 'string',
	value: '',
	description: 'Directory to install header files in [default=from xorg-server pkgconf]',
)
option('xorg-module-dir',
	type : 'string',
	value : '',
	description : 'Default xorg module directory [default=from xorg-server pkgconf]',
)
option('xorg-conf-dir',
	type : 'string',
	value : '',
	description : 'Default xorg.conf.d directory [default=from xorg-server pkgconfig]'
)

=== debian/changelog ===
xserver-xlibre-input-libinput (1.5.1.0-1) unstable; urgency=medium

  * New upstream version 1.5.1.0
  * patches: Drop drop-xasprintf-xvasprintf, fixed upstream
  * rules: Specify xorg module directory

 -- apebl <a@pebl.cc>  Sat, 23 Aug 2025 00:22:45 +0000

xserver-xlibre-input-libinput (1.5.0.1-3) unstable; urgency=medium

  * debian/patches: Add drop-xasprintf-xvasprintf.diff

 -- apebl <a@pebl.cc>  Tue, 19 Aug 2025 11:58:59 +0000

xserver-xlibre-input-libinput (1.5.0.1-2) unstable; urgency=medium

  * debian/control: Pin versions in Provides fields
  * debian/gbp.conf: Use DEP-14 style branches

 -- apebl <a@pebl.cc>  Mon, 18 Aug 2025 07:12:51 +0000

xserver-xlibre-input-libinput (1.5.0.1-1) unstable; urgency=low

  * Initial release.

 -- apebl <a@pebl.cc>  Sun, 10 Aug 2025 23:41:00 +0000

=== debian/control ===
Source: xserver-xlibre-input-libinput
Section: x11
Priority: optional
Maintainer: apebl <a@pebl.cc>
Build-Depends:
 debhelper-compat (= 13),
 libinput-dev,
 libudev-dev,
 pkgconf,
 quilt,
 x11proto-dev (>= 2021.5),
 xserver-xlibre-dev,
 xutils-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/X11Libre
Vcs-Git: https://github.com/xlibre-deb/xserver-xlibre-input-libinput.git
Vcs-Browser: https://github.com/xlibre-deb/xserver-xlibre-input-libinput

Package: xserver-xlibre-input-libinput
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${xinpdriver:Depends},
Provides:
 xserver-xorg-input-libinput (= ${binary:Version}),
 ${xinpdriver:Provides}
Description: XLibre X server -- libinput input driver
 This package provides the driver for input devices using libinput library.
 It can handle keyboards, mice and touchpads, and essentially replaces the
 separate -evdev and -synaptics drivers.
 .
 This package is built from the XLibre xf86-input-libinput driver module.
Conflicts:
 xserver-xorg-input-libinput,

Package: xserver-xlibre-input-libinput-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: XLibre X server -- libinput input driver (development headers)
 This package provides the development headers for the libinput input driver
 found in xserver-xlibre-input-libinput. Non-developers likely have little use
 for this package.
 .
 This package is built from the XLibre xf86-input-libinput driver module.
Provides:
 xserver-xorg-input-libinput-dev (= ${binary:Version}),
Conflicts:
 xserver-xorg-input-libinput-dev,

Package: xserver-xlibre-input-libinput-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${xinpdriver:Depends},
 udev-udeb,
Provides:
 xserver-xorg-input-libinput-udeb (= ${binary:Version}),
 ${xinpdriver:Provides}
Description: XLibre X server -- libinput input driver
 This is a udeb, or a microdeb, for the debian-installer.
Conflicts:
 xserver-xorg-input-libinput-udeb,

=== debian/rules ===
#!/usr/bin/make -f

XDEP = $(shell cat /usr/share/xserver-xorg/xinputdep)
XSUB = debian/xserver-xlibre-input-libinput.substvars

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=\$${exec_prefix}/lib \
		--with-xorg-module-dir=\$${libdir}/xorg/modules

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	mv debian/tmp/usr/lib/pkgconfig debian/tmp/usr/share/pkgconfig
	dh_install

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

override_dh_xsf_substvars:
	echo "xinpdriver:Depends=$(XDEP)" >> $(XSUB)
	echo "xinpdriver:Provides=xlibre-driver-input" >> $(XSUB)
#	dh_xsf_substvars

%:
	dh $@ --with quilt,xsf --builddirectory=build/

=== debian/watch ===
version=4
https://github.com/X11Libre/xf86-input-libinput/tags .*/xlibre-xf86-input-libinput-(.*)@ARCHIVE_EXT@

## xserver-xlibre-input-libinput 25.0.0

=== debian/changelog ===
xserver-xlibre-input-libinput (1:25.0.0-1+genuen6u1) unstable; urgency=medium

  * New upstream version 25.0.0

 -- Aitor <aitor@genuen.org>  Mon, 29 Dec 2025 01:39:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xserver-xlibre-input-libinput
 Section: x11
 Priority: optional
-Maintainer: apebl <a@pebl.cc>
+Maintainer: Aitor <aitor@genuen.org>
+Uploaders: apebl <a@pebl.cc>
 Build-Depends:
  debhelper-compat (= 13),
  libinput-dev,
@@ -12,6 +13,7 @@
  xserver-xlibre-dev,
  xutils-dev,
 Standards-Version: 4.6.0
+Origin: Genuen
 Homepage: https://github.com/X11Libre
 Vcs-Git: https://github.com/xlibre-deb/xserver-xlibre-input-libinput.git
 Vcs-Browser: https://github.com/xlibre-deb/xserver-xlibre-input-libinput
